This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: fix libcc1 dependencies in toplevel Makefile


> On 15 Jun 2017, at 14:03, Nathan Sidwell <nathan@acm.org> wrote:
> 
> On 06/14/2017 01:24 PM, Olivier Hainque wrote:
> 
>>> I'm happy to try the patch.
>> That would bring useful extra datapoints, Thanks!
> 
> I now seem unable to trigger the race with an unpatched source. Sorry

No pb. Thanks for trying.

We were seeing the failures only in pretty specific circumstances (particular
machine & load conditions etc)

The patch remains worth considering IMO. At least, it would be interesting to
get feedback from a build-system maintainer on the correctness of the current
dependencies.

Our understanding is that it is incorrect to have libcc1 depend on
maybe-all-gcc in a bootstrapping setup because it can trigger rebuilds of gcc/
components in parallel with ongoing processing of target components (with
pre-requisites on stage_current only).




Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]